# goaljobs
# Copyright (C) 2013 Red Hat Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

CLEANFILES = *~ *.cmi *.cmo *.cmx *.cma *.cmxa *.o

OCAMLCFLAGS = -g -warn-error CDEFLMPSUVYZX
OCAMLCPACKAGES = -package unix,calendar -I $(top_builddir)
OCAMLOPTFLAGS = $(OCAMLCFLAGS)
OCAMLOPTPACKAGES = $(OCAMLCPACKAGES)

%.cmi: %.mli
	$(OCAMLFIND) ocamlc $(OCAMLCFLAGS) $(OCAMLCPACKAGES) -c $< -o $@
%.cmo: %.ml
	$(OCAMLFIND) ocamlc $(OCAMLCFLAGS) $(OCAMLCPACKAGES) -c $< -o $@
%.cmx: %.ml
	$(OCAMLFIND) ocamlopt $(OCAMLOPTFLAGS) $(OCAMLOPTPACKAGES) -c $< -o $@

SUFFIXES = .cmo .cmi .cmx .ml .mli .mll .mly
